# Plugins

Install by copying or symlinking into your `.spark/plugins` directory, or whatever
directory you have defined to preload from.

## Plugins

- `com.noccy.apiclient`: Define and call web APIs. Initial support for HTTP, planned
  support for WebSockets, XML-RPC and JSONRPC.
- `com.noccy.pdo`: Interact with PDO from the command line. Registers a custom
  resource type, so database connections can be defined in advance to be available
  to scripts and more.
- `com.noccy.pdo.shell`: An interactive shell for querying PDO resouces. No more
  forgetting passwords or complex commands to dive into a SQL shell!
- `com.noccy.watcher`: A plugin too watch files and invoke scripts or commands when
  a modification is detected. This can be used to compile scss/less or to generate
  other resources as files are changed.

