<?php

namespace SparkPlug\Com\Noccy\Watcher\Monitor;

use SparkPlug\Com\Noccy\Watcher\Rule;

interface MonitorInterface
{
    /**
     * Add a rule to be watched for changes
     */
    public function add(Rule $rule);

    /**
     * Return a list of modified filenames
     */
    public function getModified(): array;

    /**
     * Return a list of watched filenames
     */
    public function getWatched(): array;

    /**
     * Called periodically to refresh monitors
     */
    public function loop();
}