# Versions

## 0.1.0

- Initial beta release version.
- Plugin manager: If `SPARK_PLUGINS` envvar is set, the `plugins` command will be
  available to manage symlinks to the globally installed plugins.
- Spark will automatically chdir to the project root when loading the environment.
  This makes sure scripts and plugins etc all start at a known location.
- Added makeself and pharlite in `tools`. 
- Rewritten script runner with proper variable substitution.
- Added utility libraries for HTTP requests (Guzzle), templating (Twig) and dotenv
  support (symfony/dotenv, activates with environment).
- PHP REPL; execute PHP code interactively.
- Development mode; script the startup and shutdown of your projects development
  environment, and have it start and stop with the dedicated project shell.
- Plugins in beta: com.noccy.pdo, com.noccy.pdo.shell, com.noccy.watcher.
- Plugins in alpha: com.noccy.apiclient, com.noccy.todo.
