<?php

namespace SparkPlug\Com\Noccy\Pdo\Reflection\Reflector;

use SparkPlug\Com\Noccy\Pdo\PdoResource;
use SparkPlug\Com\Noccy\Pdo\Reflection\DatabaseReflectionInterface;
use SparkPlug\Com\Noccy\Pdo\Reflection\TableReflectionInterface;

interface ReflectorInterface
{
    public function createDatabaseReflection(): DatabaseReflectionInterface;

    public function createTableReflection(string $table): TableReflectionInterface;

}

